## Class TUserManagerPasswordMode

Description

TUserManagerPasswordMode class.

TUserManagerPasswordMode defines the enumerable type for the possible modes that user passwords can be specified for a TUserManager.

The following enumerable values are defined:

- Clear: the password is in plain text
- MD5: the password is recorded as the MD5 hash value of the original password
- SHA1: the password is recorded as the SHA1 hash value of the original password

- since: 3.0.4
- version: $Id: TUserManager.php 2244 2007-09-26 13:15:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Security/TUserManager.php (line 316)

    TEnumerable
       |
       --TUserManagerPasswordMode

Class Constant Summary
Clear = 'Clear'
MD5 = 'MD5'
SHA1 = 'SHA1'
Class Constants
Clear = 'Clear' (line 318)
MD5 = 'MD5' (line 319)
SHA1 = 'SHA1' (line 320)

Documentation generated on Mon, 21 Apr 2008 11:36:41 -0400 by phpDocumentor 1.3.0RC4